<template>
    <div class="is-card team-card">
        <div class="lt-txt-container">
            <i class="description">Lower Third Text</i><br />
            <input
                v-model.lazy.trim="newLtText"
                class="lt-txt-input"
                placeholder="Enter an optional message here:"
                @keyup.enter="updateLtText"
                @blur="updateLtText"
            />
        </div>
    </div>
</template>

<script lang="ts">
import Vue from "vue";
import state from "~/state";

export default Vue.extend({
    props: {},
    data() {
        return {
            pointsToAdd: "",
            newLtText: state.lowerThirdText,
        };
    },
    computed: {
        ltText() {
            return state.lowerThirdText;
        },
    },
    methods: {
        updateLtText() {
            state.lowerThirdText = this.newLtText;
        },
    },
});
</script>

<style scoped>
.lt-txt-container {
    display: block;
    text-align: center;
}
.lt-txt-input {
    width: 600px;
}
</style>
